<?
if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true)die();

$spath=pathinfo(__FILE__);
if (LANGUAGE_ID=="ru") __IncludeLang($spath["dirname"]."/lang/ru-".strtolower(LANG_CHARSET)."/".$spath["basename"]);

if (LANGUAGE_ID=="ru") __IncludeLang($spath["dirname"]."/lang/ru-".strtolower(LANG_CHARSET)."/scripts/functions.php");
else __IncludeLang($spath["dirname"]."/lang/en/scripts/functions.php");
require_once($spath["dirname"]."/scripts/functions.php");


class Step1 extends CWizardStep
{
	function InitStep()
	{
		$this->SetTitle(GetMessage('IBF_STEP1_TITLE'));
		$this->SetStepID("step1");
		$this->SetCancelStep("cancel");
	}

	function ShowStep()
	{
		
		if(CModule::IncludeModule("iblock")) {
		
			$this->content = "<p>".GetMessage("GRAIN_IPC_STEP1_SELECT")."</p>";
		
			$rsIBlockTypes = CIBlockType::GetList(Array("SORT"=>"ASC"));
			
			while($arIBlockType=$rsIBlockTypes->Fetch()) if($arIBType = CIBlockType::GetByIDLang($arIBlockType["ID"], LANG)) {
			
				$rsIblocks = CIBlock::GetList(Array("SORT"=>"ASC"),Array("TYPE"=>$arIBlockType["ID"]));
				
				$arIblocks = Array();

				while($arIBlock=$rsIblocks->GetNext()) 
					$arIblocks[] = $arIBlock;

				$this->content .= "<b>".$arIBType["NAME"]."</b> ";
				
				$this->content .= "<a style=\"color: #888;\" href=\"#\" onclick=\"";
				
				foreach($arIblocks as $arIBlock)
					$this->content .= "obCheckbox = document.getElementById('grain_wizIPC_iblock_".$arIBlock["ID"]."'); if(obCheckbox) obCheckbox.checked = true; ";
				
				$this->content .= "return false;\">".GetMessage("GRAIN_IPC_STEP1_SELECT_ALL")."</a> ";

				$this->content .= "<a style=\"color: #888;\" href=\"#\" onclick=\"";
				
				foreach($arIblocks as $arIBlock)
					$this->content .= "obCheckbox = document.getElementById('grain_wizIPC_iblock_".$arIBlock["ID"]."'); if(obCheckbox) obCheckbox.checked = false; ";
				
				$this->content .= "return false;\">".GetMessage("GRAIN_IPC_STEP1_DESELECT_ALL")."</a> ";
				
				$this->content .= "<br />";

								
				foreach($arIblocks as $arIBlock) {
				
					$this->content .= "<label for=\"grain_wizIPC_iblock_".$arIBlock["ID"]."\">".$this->ShowCheckboxField("IBLOCK_ID[]", $arIBlock["ID"],Array("id"=>"grain_wizIPC_iblock_".$arIBlock["ID"]))." [".$arIBlock["ID"]."] ".$arIBlock["NAME"]."</label><br />";
			
				}
							
			}

			$this->SetNextStep("step2");
			
		} else {

			$this->SetError(GetMessage('GRAIN_IPC_ERROR1'), "error1");

		}
		
	}

	function OnPostForm()
	{
		$wizard = &$this->GetWizard();
	
		global $DB;
	
		if ($wizard->IsNextButtonClick() || $wizard->IsFinishButtonClick())
		{
			$arErrors = Array();
			
			if (!is_array($wizard->GetVar("IBLOCK_ID")) || (is_array($wizard->GetVar("IBLOCK_ID")) && count($wizard->GetVar("IBLOCK_ID"))<=0)) 
				$arErrors[] = GetMessage('GRAIN_IPC_ERROR2');

			if(count($arErrors)>0) 
				$this->SetError(implode("<br />", $arErrors), "error2");
			
		}
	}


}


class Step2 extends CWizardStep
{
	function InitStep()
	{
		$this->SetTitle(GetMessage('IBF_STEP2_TITLE'));
		$this->SetStepID("step2");
		$this->SetCancelStep("cancel");
	}

	function ShowStep()
	{
		
		if(CModule::IncludeModule("iblock")) {
		
			$this->content = "<p>".GetMessage("GRAIN_IPC_STEP2_SELECT")."</p>";

			$wizard = &$this->GetWizard();
			if (LANGUAGE_ID=="ru") __IncludeLang($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/lang/ru-".strtolower(LANG_CHARSET)."/scripts/props.php");
			else __IncludeLang($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/lang/en/scripts/props.php");
			require($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/scripts/props.php");
		
			$this->content .= "<b>".GetMessage("GRAIN_IPC_STEP2_ELEMENT_PROPERTIES")."</b> ";
			
			$this->content .= "<a style=\"color: #888;\" href=\"#\" onclick=\"";
			
			foreach($arProps as $arProp)
			    $this->content .= "obCheckbox = document.getElementById('grain_wizIPC_prop_el_".$arProp["CODE"]."'); if(obCheckbox) obCheckbox.checked = true; ";
			
			$this->content .= "return false;\">".GetMessage("GRAIN_IPC_STEP2_SELECT_ALL")."</a> ";

			$this->content .= "<a style=\"color: #888;\" href=\"#\" onclick=\"";
			
			foreach($arProps as $arProp)
			    $this->content .= "obCheckbox = document.getElementById('grain_wizIPC_prop_el_".$arProp["CODE"]."'); if(obCheckbox) obCheckbox.checked = false; ";
			
			$this->content .= "return false;\">".GetMessage("GRAIN_IPC_STEP2_DESELECT_ALL")."</a> ";
			
			$this->content .= "<br />";

			    			
			foreach($arProps as $arProp) {
			
			    $this->content .= "<label for=\"grain_wizIPC_prop_el_".$arProp["CODE"]."\">".$this->ShowCheckboxField("ELEMENT_PROPS[]", $arProp["CODE"],Array("id"=>"grain_wizIPC_prop_el_".$arProp["CODE"]))." [".$arProp["CODE"]."] ".$arProp["NAME"]."</label><br />";
			
			}

			$this->content .= "<b>".GetMessage("GRAIN_IPC_STEP2_SECTION_PROPERTIES")."</b> ";
			
			$this->content .= "<a style=\"color: #888;\" href=\"#\" onclick=\"";
			
			foreach($arUserFields as $arUserField)
			    $this->content .= "obCheckbox = document.getElementById('grain_wizIPC_prop_se_".$arUserField["FIELD_NAME"]."'); if(obCheckbox) obCheckbox.checked = true; ";
			
			$this->content .= "return false;\">".GetMessage("GRAIN_IPC_STEP2_SELECT_ALL")."</a> ";

			$this->content .= "<a style=\"color: #888;\" href=\"#\" onclick=\"";
			
			foreach($arUserFields as $arUserField)
			    $this->content .= "obCheckbox = document.getElementById('grain_wizIPC_prop_se_".$arUserField["FIELD_NAME"]."'); if(obCheckbox) obCheckbox.checked = false; ";
			
			$this->content .= "return false;\">".GetMessage("GRAIN_IPC_STEP2_DESELECT_ALL")."</a> ";
			
			$this->content .= "<br />";

			    			
			foreach($arUserFields as $arUserField) {
			
			    $this->content .= "<label for=\"grain_wizIPC_prop_se_".$arUserField["FIELD_NAME"]."\">".$this->ShowCheckboxField("SECTION_PROPS[]", $arUserField["FIELD_NAME"],Array("id"=>"grain_wizIPC_prop_se_".$arUserField["FIELD_NAME"]))." [".$arUserField["FIELD_NAME"]."] ".$arUserField["EDIT_FORM_LABEL"][LANGUAGE_ID]."</label><br />";
			
			}


			$this->SetNextStep("final");
			
		} else {

			$this->SetError(GetMessage('GRAIN_IPC_ERROR1'), "error1");

		}
		
	}

	function OnPostForm()
	{
		$wizard = &$this->GetWizard();
	
		global $DB;
	
		if ($wizard->IsNextButtonClick() || $wizard->IsFinishButtonClick())
		{
			$arErrors = Array();
			
			if (
				(!is_array($wizard->GetVar("ELEMENT_PROPS")) || (is_array($wizard->GetVar("ELEMENT_PROPS")) && count($wizard->GetVar("ELEMENT_PROPS"))<=0))
				&& (!is_array($wizard->GetVar("SECTION_PROPS")) || (is_array($wizard->GetVar("SECTION_PROPS")) && count($wizard->GetVar("SECTION_PROPS"))<=0))
			) 
				$arErrors[] = GetMessage('GRAIN_IPC_ERROR3');

			if(count($arErrors)>0) 
				$this->SetError(implode("<br />", $arErrors), "error3");
			
		}
	}


}


class FinalStep extends CWizardStep
{
	function InitStep()
	{
		$this->SetTitle(GetMessage('GRAIN_IPC_FINALSTEP_TITLE'));
		$this->SetStepID("final");
		$this->SetCancelStep("final");
		$this->SetCancelCaption(GetMessage('GRAIN_IPC_FINALSTEP_BUTTONTITLE'));
	}

	function ShowStep()
	{
		global $APPLICATION,$DB,$USER;
		$this->content = GetMessage('GRAIN_IPC_FINALSTEP_CONTENT')."<br /><br />";
		$wizard = &$this->GetWizard();
		if (LANGUAGE_ID=="ru") __IncludeLang($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/lang/ru-".strtolower(LANG_CHARSET)."/scripts/script.php");
		else __IncludeLang($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/lang/en/scripts/script.php");
		if (LANGUAGE_ID=="ru") __IncludeLang($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/lang/ru-".strtolower(LANG_CHARSET)."/scripts/props.php");
		else __IncludeLang($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/lang/en/scripts/props.php");
		$this->content .= CGrain_WizardTools::ShowAdv($this);
		require($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/scripts/props.php");
		require_once($_SERVER["DOCUMENT_ROOT"].$wizard->GetPath()."/scripts/script.php");
		//$this->content .= GrainWizardTools::ShowAdv($this);
	}
}


class CancelStep extends CWizardStep
{
	function InitStep()
	{
		$this->SetTitle(GetMessage('GRAIN_IPC_CANCELSTEP_TITLE'));
		$this->SetStepID("cancel");
		$this->SetCancelStep("cancel");
		$this->SetCancelCaption(GetMessage('GRAIN_IPC_CANCELSTEP_BUTTONTITLE'));
	}

	function ShowStep()
	{
		$this->content = GetMessage('GRAIN_IPC_CANCELSTEP_CONTENT');
		//$this->content .= GrainWizardTools::ShowAdv($this);		
	}
}
?>