<?
define("STOP_STATISTICS", true);

$iblockModulePermissions = $APPLICATION->GetGroupRight("iblock");
if ($iblockModulePermissions < "W")
{
	$this->content .=  GetMessage('GRAIN_IPC_SCRIPT_ERROR_ACCESS_DENIED');
	return;
}

CModule::IncludeModule("iblock");

$arIblockID = $wizard->GetVar("IBLOCK_ID");
if(!is_array($arIblockID)) $arIblockID = Array();
$arElementPropCode = $wizard->GetVar("ELEMENT_PROPS");
if(!is_array($arElementPropCode)) $arElementPropCode = Array();
$arSectionPropCode = $wizard->GetVar("SECTION_PROPS");
if(!is_array($arSectionPropCode)) $arSectionPropCode = Array();


foreach($arIblockID as $IBLOCK_ID) {

	///////////////////// iblock element properties ///////////////////

	$rsIblock = CIBlock::GetByID($IBLOCK_ID);
	
	if(!$arIblock = $rsIblock->GetNext())
		continue;

	$this->content .= "<b>".GetMessage("GRAIN_IPC_SCRIPT_IBLOCK",Array("#NAME#"=>$arIblock['NAME']." [".$arIblock['ID']."]"))."</b><br />";


	foreach($arProps as $arProp) if(in_array($arProp["CODE"],$arElementPropCode)) {
	
		if(strlen($arProp["CODE"])>0) {
	
			$rsProperties = CIBlockProperty::GetList(Array(),Array("CODE"=>$arProp['CODE'],"IBLOCK_ID"=>$IBLOCK_ID));
			
			if($arProperty = $rsProperties->Fetch()) {
			
				$this->content .= "<span style='color: orange'>".GetMessage("GRAIN_IPC_SCRIPT_ERROR_PROPERTY_ALREADY_EXISTS",Array("#NAME#"=>$arProp['CODE']))."</span><br />";
			
			} else {
			
				$arProp["IBLOCK_ID"] = $IBLOCK_ID;
			
				$ibp = new CIBlockProperty;
				
				if($ID=$ibp->Add($arProp)) {
					
					$this->content .= "<span style='color: green'>".GetMessage("GRAIN_IPC_SCRIPT_PROPERTY_CREATED",Array("#NAME#"=>$arProp['CODE']))."</span><br />";
				
				} else {
				
					$this->content .= "<span style='color: red'>".GetMessage("GRAIN_IPC_SCRIPT_ERROR_PROPERTY_ADD",Array("#NAME#"=>$arProp['CODE'],"#ERROR#"=>$ibp->LAST_ERROR))."</span><br />";
				
				}
			
			}
	
		} else {
		
			$this->content .= "<span style='color: red'>".GetMessage("GRAIN_IPC_SCRIPT_PROPERTY_CREATED",Array("#NAME#"=>$arProp['NAME']))."</span><br />";
		
		}
	
	}

	///////////////////// section properties ///////////////////

	foreach($arUserFields as $arUserField) if(in_array($arUserField["FIELD_NAME"],$arSectionPropCode)) {
	
		$arUserField['ENTITY_ID'] = 'IBLOCK_'.$IBLOCK_ID.'_SECTION';
	
		$rsEntityType = CUserTypeEntity::GetList(Array(),Array("ENTITY_ID"=>$arUserField['ENTITY_ID'],"FIELD_NAME"=>$arUserField['FIELD_NAME']));
		
		if($arEntityType = $rsEntityType->Fetch()) {
		
			$this->content .= "<span style='color: orange'>".GetMessage("GRAIN_IPC_SCRIPT_ERROR_USER_FIELD_ALREADY_EXISTS",Array("#NAME#"=>$arUserField['FIELD_NAME']))."</span><br />";
		
		} else {
		
			$obUserField  = new CUserTypeEntity;
			
			if($ID = $obUserField->Add($arUserField)) {
				
				$this->content .= "<span style='color: green'>".GetMessage("GRAIN_IPC_SCRIPT_USER_FIELD_CREATED",Array("#NAME#"=>$arUserField['FIELD_NAME']))."</span><br />";
			
			} else {
			
				$this->content .= "<span style='color: red'>".GetMessage("GRAIN_IPC_SCRIPT_ERROR_USER_FIELD_ADD",Array("#NAME#"=>$arUserField['FIELD_NAME']))."</span><br />";
			
			}
		
		}
	
	
	}


}






?>